### Virtual Method

# GimpUi Preview untransform

#### Declaration [src]

    void
    untransform (
      GimpPreview* preview,
      gint src_x,
      gint src_y,
      gint* dest_x,
      gint* dest_y
    )

#### Description [src]

Transforms from widget to image coordinates.

Available since: | 2.4

#### Parameters

`src_x` | `gint`
| Horizontal position relative to the preview area’s origin.
`src_y` | `gint`
| Vertical position relative to preview area’s origin.
`dest_x` | `gint*`
| Returns the untransformed horizontal position.
| The argument will be set by the function.
`dest_y` | `gint*`
| Returns the untransformed vertical position.
| The argument will be set by the function.